Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 596122 - Pidgin 2.7, impossible to log-in with XMPP account
Pidgin 2.7, impossible to log-in with XMPP account
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
12
i686 Linux
low Severity high
: ---
: ---
Assigned To: Stu Tomlinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 07:20 EDT by vivien.frasca
Modified: 2010-11-04 03:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 03:37:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vivien.frasca 2010-05-26 07:20:16 EDT
Description of problem:

While using pidgin 2.7, it is impossible to connect to my Gtalk account (XMPP)

Bypassing this bug by downgrading pidgin to version 2.6.3-2.fc12 (and libpurple too)

Version-Release number of selected component (if applicable):

pidgin 2.7 & libpurple 2.7


How reproducible:

Always with my account (not a gmail account eg: nickname@provider.com) but working with a gmail account

Steps to Reproduce:
1. Lanching pidgin 2.7
2. Activating XMPP a non gmail account with
  
Actual results:

Error message in buddy's window : "not authorized"

Expected results:

Account connected

Additional info:

Here the debug datas from pidgin's debug window (I've cleared/changed personnal informations, like IP, Proxy and my account adress) :

(13:05:07) account: Connecting to account USER@MAIL.COM/.
(13:05:07) connection: Connecting. gc = 0x96776f0
(13:05:07) dns: DNS query for 'PROXY.COM' queued
(13:05:07) dns: Successfully sent DNS request to child 7635
(13:05:07) dns: Got response for 'PROXY.COM'
(13:05:07) dnsquery: IP resolved for PROXY.COM
(13:05:07) proxy: Attempting connection to XX.XXX.XXX.XX
(13:05:07) proxy: Connecting to talk.google.com:5222 via PROXY.COM:8080 using HTTP
(13:05:07) proxy: Connection in progress
(13:05:07) proxy: Connected to talk.google.com:5222.
(13:05:07) proxy: Using CONNECT tunneling for talk.google.com:5222
(13:05:07) proxy: HTTP proxy connection established
(13:05:07) proxy: Connected to talk.google.com:5222.
(13:05:07) jabber: Sending (USER@MAIL.COM/): <?xml version='1.0' ?>
(13:05:07) jabber: Sending (USER@MAIL.COM/): <stream:stream to='MAIL.COM' xmlns='jabber:client' xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>
(13:05:07) jabber: Recv (347): <stream:stream from="MAIL.COM" id="2E5F64CDDC718264" version="1.0" xmlns:stream="http://etherx.jabber.org/streams" xmlns="jabber:client"><stream:features><starttls xmlns="urn:ietf:params:xml:ns:xmpp-tls"><required/></starttls><mechanisms xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><mechanism>X-GOOGLE-TOKEN</mechanism></mechanisms></stream:features>
(13:05:07) jabber: Sending (USER@MAIL.COM/): <starttls xmlns='urn:ietf:params:xml:ns:xmpp-tls'/>
(13:05:07) jabber: Recv (50): <proceed xmlns="urn:ietf:params:xml:ns:xmpp-tls"/>
(13:05:07) nss: subject=CN=talk.google.com,O=Google Inc.,L=Mountain View,ST=California,C=US issuer=OU=Equifax Secure Certificate Authority,O=Equifax,C=US
(13:05:07) nss: partial certificate chain
(13:05:07) certificate/x509/tls_cached: Starting verify for talk.google.com
(13:05:07) certificate/x509/tls_cached: Checking for cached cert...
(13:05:07) certificate/x509/tls_cached: ...Found cached cert
(13:05:07) nss/x509: Loading certificate from /home/vivien/.purple/certificates/x509/tls_peers/talk.google.com
(13:05:07) certificate/x509/tls_cached: Peer cert matched cached
(13:05:07) nss/x509: Exporting certificate to /home/vivien/.purple/certificates/x509/tls_peers/talk.google.com
(13:05:07) util: Writing file /home/vivien/.purple/certificates/x509/tls_peers/talk.google.com
(13:05:07) certificate: Successfully verified certificate for talk.google.com
(13:05:07) jabber: Sending (ssl) (USER@MAIL.COM/): <stream:stream to='MAIL.COM' xmlns='jabber:client' xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>
(13:05:07) jabber: Recv (ssl)(137): <stream:stream from="MAIL.COM" id="EE8B9378707E7C0E" version="1.0" xmlns:stream="http://etherx.jabber.org/streams" xmlns="jabber:client">
(13:05:07) jabber: Recv (ssl)(166): <stream:features><mechanisms xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><mechanism>PLAIN</mechanism><mechanism>X-GOOGLE-TOKEN</mechanism></mechanisms></stream:features>
(13:05:07) sasl: Mechs found: PLAIN X-GOOGLE-TOKEN 
(13:05:07) jabber: Sending (ssl) (USER@MAIL.COM/): <auth xmlns='urn:ietf:params:xml:ns:xmpp-sasl' mechanism='PLAIN'>password removed</auth>
(13:05:08) jabber: Recv (ssl)(77): <failure xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><not-authorized/></failure>
(13:05:08) sasl: Mechs found: X-GOOGLE-TOKEN 
(13:05:08) sasl: No worthy mechs found
(13:05:08) connection: Connection error on 0x96776f0 (reason: 2 description: Non autorisé)
(13:05:08) jabber: Recv (ssl)(16): </stream:stream>
(13:05:08) account: Disconnecting account USER@MAIL.COM/ (0x9319dc0)
(13:05:08) connection: Disconnecting connection 0x96776f0
(13:05:08) jabber: Sending (ssl) (USER@MAIL.COM/): </stream:stream>
(13:05:08) connection: Destroying connection 0x96776f0
Comment 1 Fedora Admin XMLRPC Client 2010-09-22 15:36:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2010-09-22 15:37:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-03 10:09:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 vivien.frasca 2010-11-04 03:37:53 EDT
I think that this bug is due to upgrading an existing Pidgin installation that « destroy » XMPP (Gtalk) certificate.
I should test it with Fedora 14 in a Virtual Machine.

I'm closing the bug.

Thank you all.

BR

Note You need to log in before you can comment on or make changes to this bug.